import { ColumnDef } from "@tanstack/react-table";
import { PasubotClient } from "pasubot-js-v2";
interface DataTableProps<TData, TValue> {
    columns: ColumnDef<TData, TValue>[];
    data: any;
    isLoading: boolean;
    onRefresh: () => void;
    supabaseAuthAdmin: PasubotClient;
    errorMessage: any;
    message: any;
    dataLoader: boolean;
}
export declare function DataTable<TData, TValue>({ columns, data, isLoading, onRefresh, supabaseAuthAdmin, errorMessage, message, dataLoader }: DataTableProps<TData, TValue>): import("react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=data-table.d.ts.map