import { z } from "zod";
export declare const userSchema: z.ZodObject<{
    id: z.ZodAny;
    name: z.ZodAny;
    aud: z.ZodAny;
    phone: z.ZodAny;
    role: z.ZodAny;
    email: z.ZodAny;
    password: z.ZodAny;
    email_confirmed_at: z.ZodAny;
    confirmed_at: z.ZodAny;
    last_sign_in_at: z.ZodAny;
    app_metadata: z.ZodAny;
    user_metadata: z.ZodAny;
    identities: z.ZodAny;
    created_at: z.ZodAny;
    updated_at: z.ZodAny;
    is_anonymous: z.ZodAny;
    tenant_id: z.ZodAny;
    role_id: z.ZodAny;
    role_type: z.ZodAny;
    privilege_type: z.ZodAny;
    role_name: z.ZodAny;
    status: z.ZodAny;
}, "strip", z.ZodTypeAny, {
    email?: any;
    password?: any;
    status?: any;
    id?: any;
    role?: any;
    name?: any;
    phone?: any;
    tenant_id?: any;
    created_at?: any;
    updated_at?: any;
    role_type?: any;
    aud?: any;
    email_confirmed_at?: any;
    confirmed_at?: any;
    last_sign_in_at?: any;
    app_metadata?: any;
    user_metadata?: any;
    identities?: any;
    is_anonymous?: any;
    role_id?: any;
    privilege_type?: any;
    role_name?: any;
}, {
    email?: any;
    password?: any;
    status?: any;
    id?: any;
    role?: any;
    name?: any;
    phone?: any;
    tenant_id?: any;
    created_at?: any;
    updated_at?: any;
    role_type?: any;
    aud?: any;
    email_confirmed_at?: any;
    confirmed_at?: any;
    last_sign_in_at?: any;
    app_metadata?: any;
    user_metadata?: any;
    identities?: any;
    is_anonymous?: any;
    role_id?: any;
    privilege_type?: any;
    role_name?: any;
}>;
export type User = z.infer<typeof userSchema>;
//# sourceMappingURL=schema.d.ts.map